# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.477   -> 1.478  
#	drivers/usb/net/usbnet.c	1.28    -> 1.29   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/26	ahaas@neosoft.com	1.478
# [PATCH] designated initializers for drivers_usb_net_usbnet.c
# 
#   Here's a patch for additional designated initializers for
#   drivers/usb/net/usbnet.c. Patch is against 2.5.27.
# --------------------------------------------
#
diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Fri Jul 26 13:48:16 2002
+++ b/drivers/usb/net/usbnet.c	Fri Jul 26 13:48:17 2002
@@ -300,7 +300,7 @@
 	// no reset available!
 	// no check_connect available!
 
-	.in = 2, out: 2,		// direction distinguishes these
+	.in = 2, .out = 2,		// direction distinguishes these
 	.epsize =64,
 };
 
@@ -321,7 +321,7 @@
 static const struct driver_info	belkin_info = {
 	.description =	"Belkin, eTEK, or compatible",
 
-	.in = 1, out: 1,		// direction distinguishes these
+	.in = 1, .out = 1,		// direction distinguishes these
 	.epsize =64,
 };
 
@@ -636,7 +636,7 @@
 	.rx_fixup =	genelink_rx_fixup,
 	.tx_fixup =	genelink_tx_fixup,
 
-	.in = 1, out: 2,
+	.in = 1, .out = 2,
 	.epsize =64,
 
 #ifdef	GENELINK_ACK
@@ -674,7 +674,7 @@
 	.description =	"Linux Device",
 	// no reset defined (yet?)
 	.check_connect =linuxdev_check_connect,
-	.in = 2, out: 1,
+	.in = 2, .out = 1,
 	.epsize =64,
 };
 
@@ -1125,7 +1125,7 @@
 	.rx_fixup =	net1080_rx_fixup,
 	.tx_fixup =	net1080_tx_fixup,
 
-	.in = 1, out: 1,		// direction distinguishes these
+	.in = 1, .out = 1,		// direction distinguishes these
 	.epsize =64,
 };
 
@@ -1192,7 +1192,7 @@
 		/* some PL-2302 versions seem to fail usb_set_interface() */
 	.reset =	pl_reset,
 
-	.in = 3, out: 2,
+	.in = 3, .out = 2,
 	.epsize =64,
 };
 
